<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{menu_setting}">
<head>
    <meta charset="UTF-8">
    <title>Employee</title>
</head>
<body>

<div layout:fragment="setting" class="box-body no-padding">
    <div class="box box-primary">
        <form method="get">
            <div class="box-header with-border">
                <div class="row">
                    <div class="col-md-6" align="left">
                        <h3 class="box-title">Employee</h3>
                    </div>
                    <div class="col-md-6" align="right">
                        <!--                        Show entries <span sd:page-size-selector="javascript"></span>-->
                    </div>
                </div>
            </div>

            <div class="box-header with-border">
                <div class="row">
                    <div class="col-md-6" align="left">
                        <div class="input-group input-group-sm" style="width: 150px;">
                            <a th:href="@{/setting/employee/new}" name="tambah" type="button"
                               class="btn btn-block btn-primary">+ Employee</a>
                        </div>
                    </div>

                    <div class="col-md-6" align="right">
                        <div class="input-group input-group-sm" style="width: 150px;">
                            <input type="text" name="search" class="form-control pull-right" placeholder="Search">
                            <div class="input-group-btn">
                                <button type="submit" class="btn btn-default"><i class="fa fa-search"></i></button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </form>

        <div class="box-body table-responsive no-padding">
            <table class="table table-bordered">
                <tr>
                    <th style="width: 10px">#</th>
                    <th>NIK</th>
                    <th>Nama</th>
                    <th>Jenis Kelamin</th>
                    <th class="text-center " colspan="2" style="width: 40px">Action</th>
                </tr>
                <tr th:each="x,i : ${karyawan.content}">
                    <td th:text="${(karyawan.number * karyawan.size ) + i.count}">1.</td>
                    <td th:text="${x.nik}">31750507940045</td>
                    <td th:text="${x.namaKaryawan}">Andrea</td>
                    <td th:text="${x.jenisKelamin}">Laki - laki</td>
                    <td class="text-center">
                        <a class="btn btn-success btn-xs" th:href="@{/setting/employee/new(id=${x.id})}">
                            <i class="fa fa-edit"></i>Edit</a>
                    </td>
                    <td class="text-center">
                        <form method="post" th:action="@{/setting/employee/hapus(id=${x.id})}">
                            <button type="submit" class="btn btn-danger btn-xs"
                                    onclick="return confirm('Are you sure want to delete this?')">
                                <i class="fa fa-trash"></i>Delete
                            </button>
                        </form>
                    </td>
                </tr>
                <tr th:if="${#lists.isEmpty(karyawan.content)}">
                    <td colspan="8" class="text-center"> Data Not Found</td>
                </tr>

            </table>
        </div>
        <div class="box-footer clearfix">
            <ul class="pagination pagination-sm no-margin pull-right">
                <li class="disabled"><a href="#" aria-label="Previous"><span
                        aria-hidden="true">&laquo;</span></a>
                </li>
                <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>
                </li>
            </ul>
        </div>
    </div>
</div>


</body>
</html>